Package opennlp.tools.postag

# Class DefaultPOSSequenceValidator

java.lang.Object
opennlp.tools.postag.DefaultPOSSequenceValidator

All Implemented Interfaces:
  `SequenceValidator<String>`

public class DefaultPOSSequenceValidator extends Object implements SequenceValidator<String>
The default POS tagger `SequenceValidator` implementation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultPOSSequenceValidator(TagDictionary tagDictionary)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `validSequence(int i, String[] inputSequence, String[] outcomesSequence, String outcome)`
  Determines whether a particular continuation of a `sequence` is valid.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultPOSSequenceValidator

    public DefaultPOSSequenceValidator(TagDictionary tagDictionary)
    Parameters:
      `tagDictionary` - A `TagDictionary` used for the new `SequenceValidator`.

- ## Method Details

  - ### validSequence

    public boolean validSequence(int i, String[] inputSequence, String[] outcomesSequence, String outcome)
    Description copied from interface: `SequenceValidator`
    Determines whether a particular continuation of a `sequence` is valid. This is used to restrict invalid sequences such as those used in start/continue tag-based chunking or could be used to implement tag dictionary restrictions.
    Specified by:
      `validSequence` in interface `SequenceValidator<String>`
    Parameters:
      `i` - The index in the `inputSequence` for which the new outcome is being proposed.
      `inputSequence` - The input sequence of `SequenceValidator`.
      `outcomesSequence` - The outcomes so far in this sequence.
      `outcome` - The next proposed outcome for the outcomes sequence.
    Returns:
      `true` if the sequence would still be valid with the new outcome, `false` otherwise.